Package org.eclipse.net4j.util.registry

## Interface IRegistry<K,​V>

- All Superinterfaces:
    `IContainer<java.util.Map.Entry<K,​V>>`, `INotifier`, `java.util.Map<K,​V>`
  All Known Implementing Classes:
    `DelegatingRegistry`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `Registry`, `UnmodifiableRegistry`

      public interface IRegistry<K,​V>
      extends java.util.Map<K,​V>, IContainer<java.util.Map.Entry<K,​V>>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `commit()` |
    `void` | `commit​(boolean notifications)` |
    `boolean` | `isAutoCommit()` |
    `void` | `setAutoCommit​(boolean on)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### isAutoCommit

          boolean isAutoCommit()

    - #### setAutoCommit

          void setAutoCommit​(boolean on)

    - #### commit

          void commit​(boolean notifications)

    - #### commit

          void commit()